Bug 439394 - Some messages are not localized
Summary: Some messages are not localized
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_keyboard (show other bugs)
Version: 5.22.2
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-02 08:09 UTC by Paolo Zamponi
Modified: 2021-07-08 01:39 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.22.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paolo Zamponi 2021-07-02 08:09:27 UTC
1. Open Systemsettings
2. Go to Hardware -> Input devices -> Keyboard -> Layouts
3. Message "OSD on layout change" and its tooltip "Show a popup on layout changes" are displayed in English.

EXPECTED RESULT
They should be showned in my locale.

SOFTWARE/OS VERSIONS
Operating System: openSUSE Tumbleweed 20210629
KDE Plasma Version: 5.22.2
KDE Frameworks Version: 5.83.0
Qt Version: 5.15.2
Kernel Version: 5.12.13-1-default (64-bit)
Graphics Platform: X11

ADDITIONAL INFORMATION
This occours in various languages.
Comment 1 Bug Janitor Service 2021-07-02 10:22:40 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/518
Comment 2 David Edmundson 2021-07-07 10:58:39 UTC
Git commit bde006645aa3586d0178fcc4f9ca503445d47988 by David Edmundson.
Committed on 07/07/2021 at 10:58.
Pushed by davidedmundson into branch 'master'.

[kcms/keyboard] Fix translations of OSD config

Loading directly from kcfg means they don't go through i18n.
The strings used have remained the same.

M  +2    -0    kcms/keyboard/workspace_options.kcfgc

https://invent.kde.org/plasma/plasma-desktop/commit/bde006645aa3586d0178fcc4f9ca503445d47988
Comment 3 David Edmundson 2021-07-07 10:59:15 UTC
Git commit 306f6f200b6e1f9a2786e02a0019d36537d9c98f by David Edmundson.
Committed on 07/07/2021 at 10:59.
Pushed by davidedmundson into branch 'Plasma/5.22'.

[kcms/keyboard] Fix translations of OSD config

Loading directly from kcfg means they don't go through i18n.
The strings used have remained the same.


(cherry picked from commit bde006645aa3586d0178fcc4f9ca503445d47988)

M  +2    -0    kcms/keyboard/workspace_options.kcfgc

https://invent.kde.org/plasma/plasma-desktop/commit/306f6f200b6e1f9a2786e02a0019d36537d9c98f